Solicitar entrega (modalidade específica)

Solicita o despacho de uma entrega para um pedido escolhendo uma modalidade/transportadora específica.

Header obrigatório. Toda chamada exige o header x-abbiamo-seller-group-key. Preencha-o no canto superior direito desta página ou veja como obter a sua chave.

Rate limit: 300 requisições por minuto por chave. Acima disso a API retorna HTTP 429.

The logic for composing the body closely follows the structure of the delivery object used in the create-order-v2 process.

There are four different ways to compose the delivery object, and we will explore them from the simplest and least detailed approach to the most specific option you can choose.

1 - Preference Rule (minimal Object)

A forma mais simples de montar o delivery object é especificando apenas preference_rule. A regra escolhida determina qual delivery_method, entre as opções cadastradas, é usado no despacho. Existem duas preference_rules: cheapest e fastest.

{
  "preference_rule": "fastest"
}

Você pode usar esta forma do delivery object mesmo sem utilizar o endpoint de cotação ou as opções de entrega.


2 - By Carrier Name

Outra forma menos específica é informar o nome da transportadora escolhida. Como o nome da transportadora não basta para definir o método exato, este formato permite incluir o nome junto com um preference_rule opcional. Sem preference_rule, o valor padrão é cheapest. Para listar os nomes das transportadoras disponíveis para um pedido, use o endpoint Opções de entrega.

{
	"carrier_name": "VAPT-VUPT",
  "preference_rule": "fastest" //optional
}

3 - By Carrier Name + Carrier Method Type

Este formato é um pouco mais específico do que apenas carrier_name porque também leva em conta o method_type da transportadora. Para listar os nomes das transportadoras e métodos disponíveis, use o endpoint Opções de entrega.

{
  "carrier_name": "VAPT-VUPT",
  "method_type": "CONVENCIONAL"
}

4 - By Logistic_id

This is the most precise and specific way to request a pickup using the delivery object. There are two ways to compose this object, both of which require the use of the Quotation Endpoint.

Both the logistic_id and method_id can be retrieved from the quotation endpoint. The logistic_id represents the carrier and the method_type, while the method_id reflects the time frame for the delivery.

There are two types of method_ids:

  • The first type is D(n), which is commonly used for conventional methods, where n represents the number of days (e.g. A carrier with a conventional method_type have a method_id D3, which means conventional delivery in 3 days).
  • The second type is EXP(n), which is used for express methods, where n represents the time in minutes (e.g. A carrier with a Express method_type have a method_id EXP120 , which means express delivery in 120 minutes).

Assembling the Logistics Object

Because this delivery object is the most specific possible, it is necessary to provide the logistic_id along with the method_id (time frame).

Alternativamente, você pode enviar apenas o logistic_id — o comportamento é equivalente ao formato 3 (Carrier Name + Method Type), com o desempate definido pelo preference_rule.

Quick disclaimer: In rare cases, the quotation_endpoint might return the method_id as a UUID. Don't worry about this, these methods are being deprecated but will continue to function for now. You can still use them without issue.

{
  "logistic_id": "9edc4f36-0444-47a7-a8e1-3ba0ba9deb45",
  "method_id": "D1"
}
{
  "logistic_id": "9edc4f36-0444-47a7-a8e1-3ba0ba9deb45",
  "preference_rule"?: "cheapest" //fastest
}
POST
/seller-group/v1/orders/{order_id}/request-delivery
x-abbiamo-seller-group-key<token>

In: header

Path Parameters

order_id*string

Identificador único do pedido

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/seller-group/v1/orders/string/request-delivery" \  -H "Content-Type: application/json" \  -d '{    "carrier_name": "VAPT-VUPT",    "method_type": "fdb3234c-7b31-4a85-bcfc-877c8850537d"  }'
"{}"

"{\n    \"status_code\": 404,\n    \"timestamp\": \"2024-11-07T23:07:49.266Z\",\n    \"message\": \"Order with id: 148c92bb-fa05-440c-bdf5-24917e16c672 does not found\",\n    \"code\": \"ORDER_NOT_FOUND\",\n    \"error_id\": \"b6239447-ca67-4293-a48c-f0e8eb3cdf65\""

Nesta página